#include "DeerRender/DataStore.h"
#include "DeerRender/Shader.h"
#include "DeerRender/Tools/Memory.h"

#include <unordered_map>

namespace Deer {
	Scope<Shader> ResourceBuilder<Shader>::buildResource(const BaseDataType& baseData) {
		return Scope<Shader>(Shader::create(baseData.vertexShader, baseData.fragmentShader));
	}
} // namespace Deer